Rcs Inbound Messages
List RCS Inbound Messages
Gets the list of all RCS Inbound Messages, optionally filtered by parameters. This method supports pagination.
AuthorizationBasic <token>
Basic Authorization header using the BASIC scheme. Use a pair companySid:token to access the API.
In: header
Query Parameters
From?string
Sender phone number.
AgentId?string
Recipient Agent ID (RCS identity).
Length
3 <= length <= 40CreatedOnFrom?string
Date-time that RCS inbound message creation should be greater or equal than.
Must have ISO format (e.g. yyyy-MM-dd'T'HH:mm:ss)
Format
date-timeCreatedOnTo?string
Date-time that RCS inbound message creation should be less than.
Must have ISO format (e.g. yyyy-MM-dd'T'HH:mm:ss)
Format
date-timePageSize?integer
Format
int32Range
1 <= value <= 10000OrderByDirection?string
Possible values:
-
Ascending
-
Descending
Value in
- "Ascending"
- "Descending"
SearchId?string
IncludeFees?boolean
If true, fees are included into the result.
IncludeContent?boolean
If true, RCS message content is included into the result.
IncludeConversationMetadata?boolean
If true, conversation metadata is included into the result.
Response Body
curl -X GET "https://example.com/v1/Rcs/InboundMessages"{ "items": [ { "sid": "RI08d9704f044a2fa13d3faa216fcf4574b64b19be32626243", "from": "+19876543210", "agentId": "TestAgent", "createdOn": "2026-01-01T00:00:00Z", "content": { "type": "Text", "text": "string", "postbackData": "string", "url": "string", "contentType": "string", "fileName": "string", "size": 0, "latitude": 0, "longitude": 0 }, "conversationMetadata": "string", "fees": { "platformFees": [ { "count": 0, "feePerUnit": 0, "total": 0 } ], "passThroughFees": [ { "count": 0, "feePerUnit": 0, "total": 0 } ] } } ], "searchId": "string"}{ "errors": { "Name": [ "The Name field is required." ] }, "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1", "title": "One or more validation errors occurred.", "status": 400, "detail": "Some detailed message", "traceId": "|4ef17786-b103-420e-89c0-cc425ac14809.edfcbee9_"}{ "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1", "title": "Error title", "detail": "Error detailed message", "traceId": "|4ef17786-b103-420e-89c0-cc425ac14809.edfcbee9_"}